- [HTTP request](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/organizations.sources.findings/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/organizations.sources.findings/patch#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/organizations.sources.findings/patch#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/organizations.sources.findings/patch#body.request_body)
- [Response body](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/organizations.sources.findings/patch#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/organizations.sources.findings/patch#body.aspect)
- [Try it!](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/organizations.sources.findings/patch#try-it)

Creates or updates a finding. The corresponding source must exist for a finding creation to succeed.

### IAM Permissions

Requires the following IAM permission on the resource specified in the `finding.name` field:

- `securitycenter.findings.update`

### HTTP request

Choose an endpoint:
global me-central2 us eu   
`PATCH https://securitycenter.googleapis.com/v1/{finding.name=organizations/*/sources/*/findings/*}`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `finding.name` | `string` The [relative resource name](https://cloud.google.com/apis/design/resource_names#relative_resource_name) of the finding. Example: "organizations/{organizationId}/sources/{source_id}/findings/{findingId}", "folders/{folder_id}/sources/{source_id}/findings/{findingId}", "projects/{projectId}/sources/{source_id}/findings/{findingId}". |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` The FieldMask to use when updating the finding resource. This field should not be specified when creating a finding. When updating a finding, an empty mask is treated as updating all mutable fields and replacing sourceProperties. Individual sourceProperties can be added/updated by using "sourceProperties." in the field mask. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/organizations.sources.findings#Finding`.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/organizations.sources.findings#Finding`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/securitycenter`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).